#include "..\module\menu.h"

extern const TMenu __flash MenuDefault;
extern const TMenu __flash MenuSetup;
extern const TMenu __flash MenuVersion;

extern const TMenu __flash MenuEntryPass;
extern const TMenu __flash MenuSetParam1;
extern const TMenu __flash MenuSetParam23;
extern const TMenu __flash MenuSetParam456789;
extern const TMenu __flash MenuSetDefault;
extern const TMenu __flash MenuExitSetup;

extern const TMenu __flash MenuStateInOut;

const TMenu __flash *Menu[] = { &MenuDefault,
                                &MenuSetup,
                                &MenuVersion,
                                      
                                &MenuEntryPass,
                                &MenuSetParam1,
                                &MenuSetParam23,
                                &MenuSetParam456789,
                                &MenuSetDefault,
                                &MenuExitSetup,
                                      
                                &MenuStateInOut };


const uint8_t __flash MsgName[]           = LCD_TEXT_05(NAME);
const uint8_t __flash MsgVersion[]        = LCD_TEXT_16(VERSION);
const uint8_t __flash MsgDefault[]        = LCD_TEXT_12(" ");
const uint8_t __flash MsgParam_1[]        = LCD_TEXT_10(" 1");
const uint8_t __flash MsgParam_23[]       = LCD_TEXT_13(" 2,3");
const uint8_t __flash MsgSetDefault[]     = LCD_TEXT_26("      ");
const uint8_t __flash MsgExitSetup[]      = LCD_TEXT_25("         ");
const uint8_t __flash MsgPassword[]       = LCD_TEXT_14(" ");
const uint8_t __flash MsgSetup[]          = LCD_TEXT_27("      ");

const uint8_t __flash Password[LEN_PASSWORD] = { KEY_DOWN, KEY_UP, KEY_DOWN, KEY_UP, KEY_ENTER };  //      
