#ifndef MENUCFG_H
#define MENUCFG_H

#include <stdint.h>
#include "..\def_prog.h"
#include "..\device\lcd\lcd.h"
#include "..\module\display.h"
#include "..\module\edata.h"

enum
{
  KEY_UP,             // -
  KEY_DOWN,           // -
  KEY_PARAM,          // -
  KEY_ENTER,          // -
  KEY_COUNT           //  
};

enum
{
  MENU_DEFAULT,
  MENU_SETUP,
  MENU_VERSION,

  MENU_ENTER_PASSWORD,
  MENU_SET_PARAM_1,
  MENU_SET_PARAM_23,
  MENU_SET_PARAM_456789,
  MENU_SET_DEFAULT,
  MENU_EXIT_SETUP,

  MENU_STATE_INOUT
};

enum {LEN_PASSWORD = 5};      //   

#endif
