#ifndef DEF_PROG_H
#define DEF_PROG_H

#include "system.h"
//  
#define NAME                      "Menu2"
#define VERSION                   "v0.01 08.07.2016"

//---    Flags_0 ------------------------------------------
#define F_KEY_DETECT              0      //  "  "
#define F_KEY_HOLD                1      //  ""
#define F_KEY_PRESS               2      //  " "
#define F_EDIT                    3      //  " "
#define F_BLINK                   4      //  ""
#define F_RECOUNT_1S              5      //  " 1s"
#define F_RECOUNT_250MS           6      //  " 250ms"
#define F_START_BEEP              7      //  "  "

#define SET_KEY_DETECT            BIT_SET(Flags_0, F_KEY_DETECT)        //   "  "
#define RESET_KEY_DETECT          BIT_CLR(Flags_0, F_KEY_DETECT)        //   "  "
#define KEY_DETECT                BIT_TST(Flags_0, F_KEY_DETECT)        //   "  "

#define SET_KEY_HOLD              BIT_SET(Flags_0, F_KEY_HOLD)          //   ""
#define RESET_KEY_HOLD            BIT_CLR(Flags_0, F_KEY_HOLD)          //   ""
#define KEY_HOLD                  BIT_TST(Flags_0, F_KEY_HOLD)          //   ""

#define SET_KEY_PRESS             BIT_SET(Flags_0, F_KEY_PRESS)         //   " "
#define RESET_KEY_PRESS           BIT_CLR(Flags_0, F_KEY_PRESS)         //   " "
#define KEY_PRESS                 BIT_TST(Flags_0, F_KEY_PRESS)         //   " "

#define SET_EDIT                  BIT_SET(Flags_0, F_EDIT)              //   " "
#define RESET_EDIT                BIT_CLR(Flags_0, F_EDIT)              //   " "
#define EDIT                      BIT_TST(Flags_0, F_EDIT)              //   " "

#define RESET_BLINK               BIT_CLR(Flags_0, F_BLINK)             //   ""
#define TOGGLE_BLINK              BIT_INV(Flags_0, F_BLINK)             //   ""
#define BLINK                     BIT_TST(Flags_0, F_BLINK)             //   ""

#define SET_RECOUNT_1S            BIT_SET(Flags_0, F_RECOUNT_1S)        //   " 1s"
#define RESET_RECOUNT_1S          BIT_CLR(Flags_0, F_RECOUNT_1S)        //   " 1s"
#define RECOUNT_1S                BIT_TST(Flags_0, F_RECOUNT_1S)        //   " 1s"

#define SET_RECOUNT_250MS         BIT_SET(Flags_0, F_RECOUNT_250MS)     //   " 250ms"
#define RESET_RECOUNT_250MS       BIT_CLR(Flags_0, F_RECOUNT_250MS)     //   " 250ms"
#define RECOUNT_250MS             BIT_TST(Flags_0, F_RECOUNT_250MS)     //   " 250ms"

#define SET_START_BEEP            BIT_SET(Flags_0, F_START_BEEP)        //   "  "
#define RESET_START_BEEP          BIT_CLR(Flags_0, F_START_BEEP)        //   "  "
#define START_BEEP                BIT_TST(Flags_0, F_START_BEEP)        //   "  "

//---    -------------------------------------------
#define KEY_DELAY_NOISE           20        //        ( )
#define KEY_DELAY_1PRESS          700       //       ( )
#define KEY_DELAY_HOLD            100       //     ( )
#define DELAY_BEEP                1         //       

//---   ----------------------------------------------------------
#define TIMEOUT_RETURN            30        //       ( )
#define BLINK_COUNT               200       //   
#define REG_IN_DELAY_NOISE        6         //        (6 * 8 = 48 )

//==============================================================================

#endif  //  DEF_PROG_H