//==============================================================================
//  "  "
//==============================================================================
#include "..\module\menu.h"

extern volatile uint8_t DisplayBlink[];
extern          uint8_t *Display;

extern const uint8_t __flash MsgDefault[];

//==============================================================================
//  
//==============================================================================
static void show(void)
{
  uint8_t temp1 = 25;
  int8_t  temp2 = -47;

  ShowTextF(LCD_POS(0,2), MsgDefault);
  ShowTextValueUI8(LCD_POS(1,0), "T1=", temp1, 2, '0');
  Display[21] = LCD_SYM_GRADUS;
  ShowTextValueSI8(LCD_POS(1,9), "T2=", temp2, 2, '0');
  Display[31] = LCD_SYM_GRADUS;
}

//==============================================================================
//     
//==============================================================================
static void entry(void)
{
}

//==============================================================================
//     
//==============================================================================
static void exit(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void up(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void down(void)
{
  MenuSetMenu(MENU_STATE_INOUT);
}

//==============================================================================
//   ""
//==============================================================================
static void left(void)
{
  MenuSetMenu(MENU_VERSION);
}

//==============================================================================
//   ""
//==============================================================================
static void right(void)
{
  MenuSetMenu(MENU_VERSION);
}

//==============================================================================
//   ""
//==============================================================================
static void enter(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void escape(void)
{
}


//==============================================================================
//   ""
//==============================================================================
static void menu(void)
{
  MenuSetMenu(MENU_SETUP);
}

//==============================================================================
//   ""
//==============================================================================
static void reserve(void)
{
}

//==============================================================================
//const TMenu __flash Menu... = {show, entry, exit, {up, down, left, right, enter, escape}};
const TMenu __flash MenuDefault = {show, entry, exit, {up, down, left, right, enter, escape, menu, reserve}};
