//==============================================================================
//  "   "
//==============================================================================
#include "..\module\menu.h"

enum { SubMenuMax = 4 };                  //      
enum { MENU_SUB_PREV = MENU_SETUP_1 };    //  

static const uint8_t __flash MenuSub_1[] = "MenuSub_111";
static const uint8_t __flash MenuSub_2[] = "MenuSub_112";
static const uint8_t __flash MenuSub_3[] = "MenuSub_113";
static const uint8_t __flash MenuSub_4[] = "MenuSub_114";

static const TSubMenu __flash MenuSubMenu[SubMenuMax] =   { {MenuSub_1, MENU_SETUP_111},
                                                            {MenuSub_2, MENU_SETUP_112},
                                                            {MenuSub_3, MENU_SETUP_113},
                                                            {MenuSub_4, MENU_SETUP_114} };

//==============================================================================
//  
//==============================================================================
static void show(void)
{
  MenuSubShow(SubMenuMax, MenuSubMenu);
}

//==============================================================================
//     
//==============================================================================
static void entry(void)
{
}

//==============================================================================
//     
//==============================================================================
static void exit(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void up(void)
{
  MenuSubItemPrev(SubMenuMax);
}

//==============================================================================
//   ""
//==============================================================================
static void down(void)
{
  MenuSubItemNext(SubMenuMax);
}

//==============================================================================
//   ""
//==============================================================================
static void left(void)
{
  MenuSubLevelPrev(MENU_SUB_PREV);
}

//==============================================================================
//   ""
//==============================================================================
static void right(void)
{
  MenuSubLevelNext(MenuSubMenu);
}

//==============================================================================
//   ""
//==============================================================================
static void enter(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void escape(void)
{
  MenuSetMenu(MENU_DEFAULT);
}

//==============================================================================
//   ""
//==============================================================================
static void menu(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void reserve(void)
{
}

//==============================================================================
//const TMenu __flash Menu... = {show, entry, exit, {up, down, left, right, enter, escape, menu, reserve}};
const TMenu __flash MenuSetup_11 = {show, entry, exit, {up, down, left, right, enter, escape, menu, reserve}};
