//==============================================================================
//  " / "
//==============================================================================
#include "..\module\menu.h"

extern volatile uint8_t RegIn_1;                          //  1  
extern volatile uint8_t RegIn_2;                          //  2  
extern volatile uint8_t RegOut_1;                         //  1  
extern volatile uint8_t RegOut_2;                         //  1  
extern          uint8_t *Display;                         //  

//==============================================================================
//  
//==============================================================================
static void show(void)
{
  uint8_t *p;
  
  p = Display;
  for(uint8_t i=0; i<8; i++)
  {
    *p      = ((RegOut_1 >> i) & 0x01) + '0';
    *(p+8)  = ((RegOut_2 >> i) & 0x01) + '0';
    *(p+16) = ((RegIn_1 >> i)  & 0x01) + '0';
    *(p+24) = ((RegIn_2 >> i)  & 0x01) + '0';
    p++;
  }
}

//==============================================================================
//     
//==============================================================================
static void entry(void)
{
}

//==============================================================================
//     
//==============================================================================
static void exit(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void up(void)
{
  MenuSetMenu(MENU_DEFAULT);
}

//==============================================================================
//   ""
//==============================================================================
static void down(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void left(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void right(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void enter(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void escape(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void menu(void)
{
  MenuSetMenu(MENU_SETUP);
}

//==============================================================================
//   ""
//==============================================================================
static void reserve(void)
{
}

//==============================================================================
//const TMenu __flash Menu... = {show, entry, exit, {up, down, left, right, enter, escape, menu, reserve}};
const TMenu __flash MenuStateInOut = {show, entry, exit, {up, down, left, right, enter, escape, menu, reserve}};

