#ifndef MENUCFG_H
#define MENUCFG_H

#include <stdint.h>
#include "..\def_prog.h"
#include "..\device\lcd\lcd.h"
#include "..\module\display.h"
#include "..\module\edata.h"

enum
{
  KEY_UP,             // -
  KEY_DOWN,           // -
  KEY_LEFT,           // -
  KEY_RIGHT,          // -
  KEY_ENTER,          // -
  KEY_ESCAPE,         // -
  KEY_MENU,           // -
  KEY_RESERVE,        // -
  KEY_COUNT           //  
};

enum
{
  MENU_DEFAULT,
  MENU_VERSION,
  MENU_STATE_INOUT,

  MENU_SETUP,
  MENU_SETUP_0,

  MENU_SETUP_1,
  MENU_SETUP_11,
  MENU_SETUP_12,
  MENU_SETUP_13,
  MENU_SETUP_111,
  MENU_SETUP_112,
  MENU_SETUP_113,
  MENU_SETUP_114,

  MENU_SETUP_2,
  MENU_SETUP_21,
  MENU_SETUP_22,
  MENU_SETUP_23,
  MENU_SETUP_24,
  MENU_SETUP_25,
  MENU_SETUP_26,
  MENU_SETUP_3,
  MENU_SETUP_4,
  MENU_SETUP_5,
  MENU_SETUP_6,
  MENU_SETUP_7,

  MENU_SETUP_PARAM_1111,
  MENU_SETUP_PARAM_1112,
  MENU_SETUP_PARAM_1121,
  MENU_SETUP_PARAM_1122,
  MENU_SETUP_PARAM_1131,
  MENU_SETUP_PARAM_1132,
  MENU_SETUP_PARAM_1141,
  MENU_SETUP_PARAM_1142,
  MENU_SETUP_PARAM_121,
  MENU_SETUP_PARAM_122,
  MENU_SETUP_PARAM_131,
  MENU_SETUP_PARAM_132,
  MENU_SETUP_PARAM_211,
  MENU_SETUP_PARAM_212,
  MENU_SETUP_PARAM_221,
  MENU_SETUP_PARAM_222,
  MENU_SETUP_PARAM_231,
  MENU_SETUP_PARAM_232,
  MENU_SETUP_PARAM_241,
  MENU_SETUP_PARAM_242,
  MENU_SETUP_PARAM_251,
  MENU_SETUP_PARAM_252,
  MENU_SETUP_PARAM_261,
  MENU_SETUP_PARAM_262,
  MENU_SETUP_PARAM_31,
  MENU_SETUP_PARAM_32,
  MENU_SETUP_PARAM_41,
  MENU_SETUP_PARAM_42,
  MENU_SETUP_PARAM_51,
  MENU_SETUP_PARAM_52,
  MENU_SETUP_PARAM_61,
  MENU_SETUP_PARAM_62,
  MENU_SETUP_PARAM_71,
  MENU_SETUP_PARAM_72
};

enum { LEN_PASSWORD = 5 };                //   
enum { MENU_LEVEL = 4 };                  //   
enum { MENU_SETUP_MAIN = MENU_SETUP_0 };  //    

#endif
