//==============================================================================
//  " "
//==============================================================================
#include "..\module\menu.h"

extern volatile uint8_t   DisplayBlink[];                 //     
extern          uint8_t   *Display;                       //    

extern const uint8_t __flash MsgDefault[];                //   

//==============================================================================
//  
//==============================================================================
static void show(void)
{
  uint8_t temp1 = 25;
  int8_t  temp2 = -47;
  uint8_t temp3 = 58;

  ShowTextF(LCD_POS(0,2), MsgDefault);
  ShowTextValueUI8(LCD_POS(1,0), "T1=", temp1, 2, '0');
  Display[LCD_POS(1,5)] = LCD_SYM_GRADUS;
  
  ShowTextValueSI8(LCD_POS(2,0), "T2=", temp2, 2, '0');
  Display[LCD_POS(2,6)] = LCD_SYM_GRADUS;

  ShowTextValueUI8(LCD_POS(3,0), "T3=", temp3, 2, '0');
  Display[LCD_POS(3,5)] = LCD_SYM_GRADUS;
}

//==============================================================================
//     
//==============================================================================
static void entry(void)
{
}

//==============================================================================
//     
//==============================================================================
static void exit(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void up(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void down(void)
{
  MenuSetMenu(MENU_STATE_INOUT);
}

//==============================================================================
//   ""
//==============================================================================
static void param(void)
{
  MenuSetMenu(MENU_SETUP);
}

//==============================================================================
//   ""
//==============================================================================
static void enter(void)
{
}

//==============================================================================
//const TMenu __flash Menu... = {show, entry, exit, {up, down, param, enter}};
const TMenu __flash MenuDefault = {show, entry, exit, {up, down, param, enter}};
