//==============================================================================
//  "  K1"
//==============================================================================
#include "..\module\menu.h"

extern volatile uint8_t Flags_0;                          //  
extern volatile uint8_t DisplayBlink[];                   //     
extern          uint8_t Param_1;                          //  1
extern          uint8_t EditValueInt8[];                  //  

extern const uint8_t __flash MsgParam_1[];                //   

//==============================================================================
//  
//==============================================================================
static void show(void)
{
  uint8_t *p;

  ShowTextF(15, MsgParam_1);                   //   
  if(!EDIT) p = &Param_1;                     //    ,     
  else      p = &EditValueInt8[0];            //      
  ShowTextValueUI16(LCD_POS(2,17), "K1=", *p, 3, '0');   //  ,    
}

//==============================================================================
//     
//==============================================================================
static void entry(void)
{
}

//==============================================================================
//     
//==============================================================================
static void exit(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void up(void)
{
  if(EDIT)                                                                    //   , 
    MenuParamUpUI8(&EditValueInt8[0], MIN_PARAM_1, MAX_PARAM_1, VAR_OVER);    //     
}

//==============================================================================
//   ""
//==============================================================================
static void down(void)
{
  if(EDIT)                                                                    //   ,
    MenuParamDownUI8(&EditValueInt8[0], MIN_PARAM_1, MAX_PARAM_1, VAR_OVER);  //     
}

//==============================================================================
//   ""
//==============================================================================
static void param(void)
{
  if(!EDIT)                                         //    ,
    MenuSetMenu(MENU_SET_PARAM_23);                 //     
}

//==============================================================================
//   ""
//==============================================================================
static void enter(void)
{
  if(!EDIT)
  {
    EditValueInt8[0] = Param_1;                     //      
    LCD_SET_BLINK(LCD_POS(2,20),3);                 //   
    SET_EDIT;                                       //    
  }
  else
  {
    Param_1 = EditValueInt8[0];                     //     
    EDATA_WRITE(param_1, &Param_1);                 //    EEPROM
    MenuNoEdit();                                   //   
  }
}

//==============================================================================
//const TMenu __flash Menu... = {show, entry, exit, {up, down, param, enter}};
const TMenu __flash MenuSetParam1 = {show, entry, exit, {up, down, param, enter}};

