//==============================================================================
//        HD44780
//    -   : LCD_CHAR('')
//    -    : LCD__06("")
//                                           | 06 -    
//==============================================================================

#ifndef LCD_CONV_H
#define LCD_CONV_H

#define LCD_CHAR(ch) ( ((ch) == 0x00) ? (ch) :                        \
                      (((ch) == 0x01) ? (ch) :                        \
                      (((ch) == 0x02) ? (ch) :                        \
                      (((ch) == 0x03) ? (ch) :                        \
                      (((ch) == 0x04) ? (ch) :                        \
                      (((ch) == 0x05) ? (ch) :                        \
                      (((ch) == 0x06) ? (ch) :                        \
                      (((ch) == 0x07) ? (ch) :                        \
                      (((ch) == 0x08) ? 0x20 :                        \
                      (((ch) == 0x09) ? 0x20 :                        \
                      (((ch) == 0x0A) ? 0x20 :                        \
                      (((ch) == 0x0B) ? 0x20 :                        \
                      (((ch) == 0x0C) ? 0x20 :                        \
                      (((ch) == 0x0D) ? 0x20 :                        \
                      (((ch) == 0x0E) ? 0x20 :                        \
                      (((ch) == 0x0F) ? 0x20 :                        \
                                                                      \
                      (((ch) == 0x10) ? 0x20 :                        \
                      (((ch) == 0x11) ? 0x20 :                        \
                      (((ch) == 0x12) ? 0x20 :                        \
                      (((ch) == 0x13) ? 0x20 :                        \
                      (((ch) == 0x14) ? 0x20 :                        \
                      (((ch) == 0x15) ? 0x20 :                        \
                      (((ch) == 0x16) ? 0x20 :                        \
                      (((ch) == 0x17) ? 0x20 :                        \
                      (((ch) == 0x18) ? 0x20 :                        \
                      (((ch) == 0x19) ? 0x20 :                        \
                      (((ch) == 0x1A) ? 0x20 :                        \
                      (((ch) == 0x1B) ? 0x20 :                        \
                      (((ch) == 0x1C) ? 0x20 :                        \
                      (((ch) == 0x1D) ? 0x20 :                        \
                      (((ch) == 0x1E) ? 0x20 :                        \
                      (((ch) == 0x1F) ? 0x20 :                        \
                                                                      \
                      (((ch) == 0x20) ? (ch) :  /*     */             \
                      (((ch) == 0x21) ? (ch) :  /*  !  */             \
                      (((ch) == 0x22) ? (ch) :  /*  "  */             \
                      (((ch) == 0x23) ? (ch) :  /*  #  */             \
                      (((ch) == 0x24) ? (ch) :  /*  $  */             \
                      (((ch) == 0x25) ? (ch) :  /*  %  */             \
                      (((ch) == 0x26) ? (ch) :  /*  &  */             \
                      (((ch) == 0x27) ? (ch) :  /*  '  */             \
                      (((ch) == 0x28) ? (ch) :  /*  (  */             \
                      (((ch) == 0x29) ? (ch) :  /*  )  */             \
                      (((ch) == 0x2A) ? (ch) :  /*  *  */             \
                      (((ch) == 0x2B) ? (ch) :  /*  +  */             \
                      (((ch) == 0x2C) ? (ch) :  /*  ,  */             \
                      (((ch) == 0x2D) ? (ch) :  /*  -  */             \
                      (((ch) == 0x2E) ? (ch) :  /*  .  */             \
                      (((ch) == 0x2F) ? (ch) :  /*  /  */             \
                                                                      \
                      (((ch) == 0x30) ? (ch) :  /*  0  */             \
                      (((ch) == 0x31) ? (ch) :  /*  1  */             \
                      (((ch) == 0x32) ? (ch) :  /*  2  */             \
                      (((ch) == 0x33) ? (ch) :  /*  3  */             \
                      (((ch) == 0x34) ? (ch) :  /*  4  */             \
                      (((ch) == 0x35) ? (ch) :  /*  5  */             \
                      (((ch) == 0x36) ? (ch) :  /*  6  */             \
                      (((ch) == 0x37) ? (ch) :  /*  7  */             \
                      (((ch) == 0x38) ? (ch) :  /*  8  */             \
                      (((ch) == 0x39) ? (ch) :  /*  9  */             \
                      (((ch) == 0x3A) ? (ch) :  /*  :  */             \
                      (((ch) == 0x3B) ? (ch) :  /*  ;  */             \
                      (((ch) == 0x3C) ? (ch) :  /*  <  */             \
                      (((ch) == 0x3D) ? (ch) :  /*  =  */             \
                      (((ch) == 0x3E) ? (ch) :  /*  >  */             \
                      (((ch) == 0x3F) ? (ch) :  /*  ?  */             \
                                                                      \
                      (((ch) == 0x40) ? (ch) :  /*  @  */             \
                      (((ch) == 0x41) ? (ch) :  /*  A  */             \
                      (((ch) == 0x42) ? (ch) :  /*  B  */             \
                      (((ch) == 0x43) ? (ch) :  /*  C  */             \
                      (((ch) == 0x44) ? (ch) :  /*  D  */             \
                      (((ch) == 0x45) ? (ch) :  /*  E  */             \
                      (((ch) == 0x46) ? (ch) :  /*  F  */             \
                      (((ch) == 0x47) ? (ch) :  /*  G  */             \
                      (((ch) == 0x48) ? (ch) :  /*  H  */             \
                      (((ch) == 0x49) ? (ch) :  /*  I  */             \
                      (((ch) == 0x4A) ? (ch) :  /*  J  */             \
                      (((ch) == 0x4B) ? (ch) :  /*  K  */             \
                      (((ch) == 0x4C) ? (ch) :  /*  L  */             \
                      (((ch) == 0x4D) ? (ch) :  /*  M  */             \
                      (((ch) == 0x4E) ? (ch) :  /*  N  */             \
                      (((ch) == 0x4F) ? (ch) :  /*  O  */             \
                                                                      \
                      (((ch) == 0x50) ? (ch) :  /*  P  */             \
                      (((ch) == 0x51) ? (ch) :  /*  Q  */             \
                      (((ch) == 0x52) ? (ch) :  /*  R  */             \
                      (((ch) == 0x53) ? (ch) :  /*  S  */             \
                      (((ch) == 0x54) ? (ch) :  /*  T  */             \
                      (((ch) == 0x55) ? (ch) :  /*  U  */             \
                      (((ch) == 0x56) ? (ch) :  /*  V  */             \
                      (((ch) == 0x57) ? (ch) :  /*  W  */             \
                      (((ch) == 0x58) ? (ch) :  /*  X  */             \
                      (((ch) == 0x59) ? (ch) :  /*  Y  */             \
                      (((ch) == 0x5A) ? (ch) :  /*  Z  */             \
                      (((ch) == 0x5B) ? (ch) :  /*  [  */             \
                      (((ch) == 0x5C) ? 0x20 :                        \
                      (((ch) == 0x5D) ? (ch) :  /*  ]  */             \
                      (((ch) == 0x5E) ? (ch) :  /*  ^  */             \
                      (((ch) == 0x5F) ? (ch) :  /*  _  */             \
                                                                      \
                      (((ch) == 0x60) ? (ch) :  /*  `  */             \
                      (((ch) == 0x61) ? (ch) :  /*  a  */             \
                      (((ch) == 0x62) ? (ch) :  /*  b  */             \
                      (((ch) == 0x63) ? (ch) :  /*  c  */             \
                      (((ch) == 0x64) ? (ch) :  /*  d  */             \
                      (((ch) == 0x65) ? (ch) :  /*  e  */             \
                      (((ch) == 0x66) ? (ch) :  /*  f  */             \
                      (((ch) == 0x67) ? (ch) :  /*  g  */             \
                      (((ch) == 0x68) ? (ch) :  /*  h  */             \
                      (((ch) == 0x69) ? (ch) :  /*  i  */             \
                      (((ch) == 0x6A) ? (ch) :  /*  j  */             \
                      (((ch) == 0x6B) ? (ch) :  /*  k  */             \
                      (((ch) == 0x6C) ? (ch) :  /*  l  */             \
                      (((ch) == 0x6D) ? (ch) :  /*  m  */             \
                      (((ch) == 0x6E) ? (ch) :  /*  n  */             \
                      (((ch) == 0x6F) ? (ch) :  /*  o  */             \
                                                                      \
                      (((ch) == 0x70) ? (ch) :  /*  p  */             \
                      (((ch) == 0x71) ? (ch) :  /*  q  */             \
                      (((ch) == 0x72) ? (ch) :  /*  r  */             \
                      (((ch) == 0x73) ? (ch) :  /*  s  */             \
                      (((ch) == 0x74) ? (ch) :  /*  t  */             \
                      (((ch) == 0x75) ? (ch) :  /*  u  */             \
                      (((ch) == 0x76) ? (ch) :  /*  v  */             \
                      (((ch) == 0x77) ? (ch) :  /*  w  */             \
                      (((ch) == 0x78) ? (ch) :  /*  x  */             \
                      (((ch) == 0x79) ? (ch) :  /*  y  */             \
                      (((ch) == 0x7A) ? (ch) :  /*  z  */             \
                      (((ch) == 0x7B) ? 0x20 :                        \
                      (((ch) == 0x7C) ? 0x20 :                        \
                      (((ch) == 0x7D) ? 0x20 :                        \
                      (((ch) == 0x7E) ? 0xE9 :  /*  ~  */             \
                      (((ch) == 0x7F) ? 0x20 :                        \
                                                                      \
                      (((ch) == 0x80) ? 0xD9 :  /*     */  \
                      (((ch) == 0x81) ? 0xDA :  /*    */  \
                      (((ch) == 0x82) ? 0x20 :                        \
                      (((ch) == 0x83) ? 0x20 :                        \
                      (((ch) == 0x84) ? 0x20 :                        \
                      (((ch) == 0x85) ? 0x20 :                        \
                      (((ch) == 0x86) ? 0x20 :                        \
                      (((ch) == 0x87) ? 0x20 :                        \
                      (((ch) == 0x88) ? 0x20 :                        \
                      (((ch) == 0x89) ? 0x20 :                        \
                      (((ch) == 0x8A) ? 0x20 :                        \
                      (((ch) == 0x8B) ? 0x20 :                        \
                      (((ch) == 0x8C) ? 0x20 :                        \
                      (((ch) == 0x8D) ? 0x20 :                        \
                      (((ch) == 0x8E) ? 0x20 :                        \
                      (((ch) == 0x8F) ? 0x20 :                        \
                                                                      \
                      (((ch) == 0x90) ? 0x20 :                        \
                      (((ch) == 0x91) ? 0x20 :                        \
                      (((ch) == 0x92) ? 0x20 :                        \
                      (((ch) == 0x93) ? 0x20 :                        \
                      (((ch) == 0x94) ? 0x20 :                        \
                      (((ch) == 0x95) ? 0x20 :                        \
                      (((ch) == 0x96) ? 0x20 :                        \
                      (((ch) == 0x97) ? 0x20 :                        \
                      (((ch) == 0x98) ? 0x20 :                        \
                      (((ch) == 0x99) ? 0x20 :                        \
                      (((ch) == 0x9A) ? 0x20 :                        \
                      (((ch) == 0x9B) ? 0x20 :                        \
                      (((ch) == 0x9C) ? 0x20 :                        \
                      (((ch) == 0x9D) ? 0x20 :                        \
                      (((ch) == 0x9E) ? 0x20 :                        \
                      (((ch) == 0x9F) ? 0x20 :                        \
                                                                      \
                      (((ch) == 0xA0) ? 0x20 :                        \
                      (((ch) == 0xA1) ? 0x20 :                        \
                      (((ch) == 0xA2) ? 0x20 :                        \
                      (((ch) == 0xA3) ? 0x20 :                        \
                      (((ch) == 0xA4) ? 0x20 :                        \
                      (((ch) == 0xA5) ? 0x20 :                        \
                      (((ch) == 0xA6) ? 0x20 :                        \
                      (((ch) == 0xA7) ? 0x20 :                        \
                      (((ch) == 0xA8) ? 0xA2 :  /*    */             \
                      (((ch) == 0xA9) ? 0x20 :                        \
                      (((ch) == 0xAA) ? 0x20 :                        \
                      (((ch) == 0xAB) ? 0x20 :                        \
                      (((ch) == 0xAC) ? 0x20 :                        \
                      (((ch) == 0xAD) ? 0x20 :                        \
                      (((ch) == 0xAE) ? 0x20 :                        \
                      (((ch) == 0xAF) ? 0x20 :                        \
                                                                      \
                      (((ch) == 0xB0) ? 0x20 :                        \
                      (((ch) == 0xB1) ? 0x20 :                        \
                      (((ch) == 0xB2) ? 0x20 :                        \
                      (((ch) == 0xB3) ? 0x20 :                        \
                      (((ch) == 0xB4) ? 0x20 :                        \
                      (((ch) == 0xB5) ? 0x20 :                        \
                      (((ch) == 0xB6) ? 0x20 :                        \
                      (((ch) == 0xB7) ? 0x20 :                        \
                      (((ch) == 0xB8) ? 0xB5 :  /*    */             \
                      (((ch) == 0xB9) ? 0x20 :                        \
                      (((ch) == 0xBA) ? 0x20 :                        \
                      (((ch) == 0xBB) ? 0x20 :                        \
                      (((ch) == 0xBC) ? 0x20 :                        \
                      (((ch) == 0xBD) ? 0x20 :                        \
                      (((ch) == 0xBE) ? 0x20 :                        \
                      (((ch) == 0xBF) ? 0x20 :                        \
                                                                      \
                      (((ch) == 0xC0) ? 0x41 :  /*    */             \
                      (((ch) == 0xC1) ? 0xA0 :  /*    */             \
                      (((ch) == 0xC2) ? 0x42 :  /*    */             \
                      (((ch) == 0xC3) ? 0xA1 :  /*    */             \
                      (((ch) == 0xC4) ? 0xE0 :  /*    */             \
                      (((ch) == 0xC5) ? 0x45 :  /*    */             \
                      (((ch) == 0xC6) ? 0xA3 :  /*    */             \
                      (((ch) == 0xC7) ? 0xA4 :  /*    */             \
                      (((ch) == 0xC8) ? 0xA5 :  /*    */             \
                      (((ch) == 0xC9) ? 0xA6 :  /*    */             \
                      (((ch) == 0xCA) ? 0x4B :  /*    */             \
                      (((ch) == 0xCB) ? 0xA7 :  /*    */             \
                      (((ch) == 0xCC) ? 0x4D :  /*    */             \
                      (((ch) == 0xCD) ? 0x48 :  /*    */             \
                      (((ch) == 0xCE) ? 0x4F :  /*    */             \
                      (((ch) == 0xCF) ? 0xA8 :  /*    */             \
                                                                      \
                      (((ch) == 0xD0) ? 0x50 :  /*    */             \
                      (((ch) == 0xD1) ? 0x43 :  /*    */             \
                      (((ch) == 0xD2) ? 0x54 :  /*    */             \
                      (((ch) == 0xD3) ? 0xA9 :  /*    */             \
                      (((ch) == 0xD4) ? 0xAA :  /*    */             \
                      (((ch) == 0xD5) ? 0x58 :  /*    */             \
                      (((ch) == 0xD6) ? 0xE1 :  /*    */             \
                      (((ch) == 0xD7) ? 0xAB :  /*    */             \
                      (((ch) == 0xD8) ? 0xAC :  /*    */             \
                      (((ch) == 0xD9) ? 0xE2 :  /*    */             \
                      (((ch) == 0xDA) ? 0xAD :  /*    */             \
                      (((ch) == 0xDB) ? 0xAE :  /*    */             \
                      (((ch) == 0xDC) ? 0x62 :  /*    */             \
                      (((ch) == 0xDD) ? 0xAF :  /*    */             \
                      (((ch) == 0xDE) ? 0xB0 :  /*    */             \
                      (((ch) == 0xDF) ? 0xB1 :  /*    */             \
                                                                      \
                      (((ch) == 0xE0) ? 0x61 :  /*    */             \
                      (((ch) == 0xE1) ? 0xB2 :  /*    */             \
                      (((ch) == 0xE2) ? 0xB3 :  /*    */             \
                      (((ch) == 0xE3) ? 0xB4 :  /*    */             \
                      (((ch) == 0xE4) ? 0xE3 :  /*    */             \
                      (((ch) == 0xE5) ? 0x65 :  /*    */             \
                      (((ch) == 0xE6) ? 0xB6 :  /*    */             \
                      (((ch) == 0xE7) ? 0xB7 :  /*    */             \
                      (((ch) == 0xE8) ? 0xB8 :  /*    */             \
                      (((ch) == 0xE9) ? 0xB9 :  /*    */             \
                      (((ch) == 0xEA) ? 0xBA :  /*    */             \
                      (((ch) == 0xEB) ? 0xBB :  /*    */             \
                      (((ch) == 0xEC) ? 0xBC :  /*    */             \
                      (((ch) == 0xED) ? 0xBD :  /*    */             \
                      (((ch) == 0xEE) ? 0x6F :  /*    */             \
                      (((ch) == 0xEF) ? 0xBE :  /*    */             \
                                                                      \
                      (((ch) == 0xF0) ? 0x70 :  /*    */             \
                      (((ch) == 0xF1) ? 0x63 :  /*    */             \
                      (((ch) == 0xF2) ? 0xBF :  /*    */             \
                      (((ch) == 0xF3) ? 0x79 :  /*    */             \
                      (((ch) == 0xF4) ? 0xE4 :  /*    */             \
                      (((ch) == 0xF5) ? 0x78 :  /*    */             \
                      (((ch) == 0xF6) ? 0xE5 :  /*    */             \
                      (((ch) == 0xF7) ? 0xC0 :  /*    */             \
                      (((ch) == 0xF8) ? 0xC1 :  /*    */             \
                      (((ch) == 0xF9) ? 0xE6 :  /*    */             \
                      (((ch) == 0xFA) ? 0xC2 :  /*    */             \
                      (((ch) == 0xFB) ? 0xC3 :  /*    */             \
                      (((ch) == 0xFC) ? 0xC4 :  /*    */             \
                      (((ch) == 0xFD) ? 0xC5 :  /*    */             \
                      (((ch) == 0xFE) ? 0xC6 :  /*    */             \
                      (((ch) == 0xFF) ? 0xC7 :  /*    */             \
                                            0))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))

//------------------------------------------------------------------------------
#define LCD_TEMP_01(s)   LCD_CHAR(s[0])
#define LCD_TEXT_01(s)  {LCD_TEMP_01(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_02(s)   LCD_TEMP_01(s), LCD_CHAR(s[1])
#define LCD_TEXT_02(s)  {LCD_TEMP_02(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_03(s)   LCD_TEMP_02(s), LCD_CHAR(s[2])
#define LCD_TEXT_03(s)  {LCD_TEMP_03(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_04(s)   LCD_TEMP_03(s), LCD_CHAR(s[3])
#define LCD_TEXT_04(s)  {LCD_TEMP_04(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_05(s)   LCD_TEMP_04(s), LCD_CHAR(s[4])
#define LCD_TEXT_05(s)  {LCD_TEMP_05(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_06(s)   LCD_TEMP_05(s), LCD_CHAR(s[5])
#define LCD_TEXT_06(s)  {LCD_TEMP_06(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_07(s)   LCD_TEMP_06(s), LCD_CHAR(s[6])
#define LCD_TEXT_07(s)  {LCD_TEMP_07(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_08(s)   LCD_TEMP_07(s), LCD_CHAR(s[7])
#define LCD_TEXT_08(s)  {LCD_TEMP_08(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_09(s)   LCD_TEMP_08(s), LCD_CHAR(s[8])
#define LCD_TEXT_09(s)  {LCD_TEMP_09(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_10(s)   LCD_TEMP_09(s), LCD_CHAR(s[9])
#define LCD_TEXT_10(s)  {LCD_TEMP_10(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_11(s)   LCD_TEMP_10(s), LCD_CHAR(s[10])
#define LCD_TEXT_11(s)  {LCD_TEMP_11(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_12(s)   LCD_TEMP_11(s), LCD_CHAR(s[11])
#define LCD_TEXT_12(s)  {LCD_TEMP_12(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_13(s)   LCD_TEMP_12(s), LCD_CHAR(s[12])
#define LCD_TEXT_13(s)  {LCD_TEMP_13(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_14(s)   LCD_TEMP_13(s), LCD_CHAR(s[13])
#define LCD_TEXT_14(s)  {LCD_TEMP_14(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_15(s)   LCD_TEMP_14(s), LCD_CHAR(s[14])
#define LCD_TEXT_15(s)  {LCD_TEMP_15(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_16(s)   LCD_TEMP_15(s), LCD_CHAR(s[15])
#define LCD_TEXT_16(s)  {LCD_TEMP_16(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_17(s)   LCD_TEMP_16(s), LCD_CHAR(s[16])
#define LCD_TEXT_17(s)  {LCD_TEMP_17(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_18(s)   LCD_TEMP_17(s), LCD_CHAR(s[17])
#define LCD_TEXT_18(s)  {LCD_TEMP_18(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_19(s)   LCD_TEMP_18(s), LCD_CHAR(s[18])
#define LCD_TEXT_19(s)  {LCD_TEMP_19(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_20(s)   LCD_TEMP_19(s), LCD_CHAR(s[19])
#define LCD_TEXT_20(s)  {LCD_TEMP_20(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_21(s)   LCD_TEMP_20(s), LCD_CHAR(s[20])
#define LCD_TEXT_21(s)  {LCD_TEMP_21(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_22(s)   LCD_TEMP_21(s), LCD_CHAR(s[21])
#define LCD_TEXT_22(s)  {LCD_TEMP_22(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_23(s)   LCD_TEMP_22(s), LCD_CHAR(s[22])
#define LCD_TEXT_23(s)  {LCD_TEMP_23(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_24(s)   LCD_TEMP_23(s), LCD_CHAR(s[23])
#define LCD_TEXT_24(s)  {LCD_TEMP_24(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_25(s)   LCD_TEMP_24(s), LCD_CHAR(s[24])
#define LCD_TEXT_25(s)  {LCD_TEMP_25(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_26(s)   LCD_TEMP_25(s), LCD_CHAR(s[25])
#define LCD_TEXT_26(s)  {LCD_TEMP_26(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_27(s)   LCD_TEMP_26(s), LCD_CHAR(s[26])
#define LCD_TEXT_27(s)  {LCD_TEMP_27(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_28(s)   LCD_TEMP_27(s), LCD_CHAR(s[27])
#define LCD_TEXT_28(s)  {LCD_TEMP_28(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_29(s)   LCD_TEMP_28(s), LCD_CHAR(s[28])
#define LCD_TEXT_29(s)  {LCD_TEMP_29(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_30(s)   LCD_TEMP_29(s), LCD_CHAR(s[29])
#define LCD_TEXT_30(s)  {LCD_TEMP_30(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_31(s)   LCD_TEMP_30(s), LCD_CHAR(s[30])
#define LCD_TEXT_31(s)  {LCD_TEMP_31(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_32(s)   LCD_TEMP_31(s), LCD_CHAR(s[31])
#define LCD_TEXT_32(s)  {LCD_TEMP_32(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_33(s)   LCD_TEMP_32(s), LCD_CHAR(s[32])
#define LCD_TEXT_33(s)  {LCD_TEMP_33(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_34(s)   LCD_TEMP_33(s), LCD_CHAR(s[33])
#define LCD_TEXT_34(s)  {LCD_TEMP_34(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_35(s)   LCD_TEMP_34(s), LCD_CHAR(s[34])
#define LCD_TEXT_35(s)  {LCD_TEMP_35(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_36(s)   LCD_TEMP_35(s), LCD_CHAR(s[35])
#define LCD_TEXT_36(s)  {LCD_TEMP_36(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_37(s)   LCD_TEMP_36(s), LCD_CHAR(s[36])
#define LCD_TEXT_37(s)  {LCD_TEMP_37(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_38(s)   LCD_TEMP_37(s), LCD_CHAR(s[37])
#define LCD_TEXT_38(s)  {LCD_TEMP_38(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_39(s)   LCD_TEMP_38(s), LCD_CHAR(s[38])
#define LCD_TEXT_39(s)  {LCD_TEMP_39(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_40(s)   LCD_TEMP_39(s), LCD_CHAR(s[39])
#define LCD_TEXT_40(s)  {LCD_TEMP_40(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_41(s)   LCD_TEMP_40(s), LCD_CHAR(s[40])
#define LCD_TEXT_41(s)  {LCD_TEMP_41(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_42(s)   LCD_TEMP_41(s), LCD_CHAR(s[41])
#define LCD_TEXT_42(s)  {LCD_TEMP_42(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_43(s)   LCD_TEMP_42(s), LCD_CHAR(s[42])
#define LCD_TEXT_43(s)  {LCD_TEMP_43(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_44(s)   LCD_TEMP_43(s), LCD_CHAR(s[43])
#define LCD_TEXT_44(s)  {LCD_TEMP_44(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_45(s)   LCD_TEMP_44(s), LCD_CHAR(s[44])
#define LCD_TEXT_45(s)  {LCD_TEMP_45(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_46(s)   LCD_TEMP_45(s), LCD_CHAR(s[45])
#define LCD_TEXT_46(s)  {LCD_TEMP_46(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_47(s)   LCD_TEMP_46(s), LCD_CHAR(s[46])
#define LCD_TEXT_47(s)  {LCD_TEMP_47(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_48(s)   LCD_TEMP_47(s), LCD_CHAR(s[47])
#define LCD_TEXT_48(s)  {LCD_TEMP_48(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_49(s)   LCD_TEMP_48(s), LCD_CHAR(s[48])
#define LCD_TEXT_49(s)  {LCD_TEMP_49(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_50(s)   LCD_TEMP_49(s), LCD_CHAR(s[49])
#define LCD_TEXT_50(s)  {LCD_TEMP_50(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_51(s)   LCD_TEMP_50(s), LCD_CHAR(s[50])
#define LCD_TEXT_51(s)  {LCD_TEMP_51(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_52(s)   LCD_TEMP_51(s), LCD_CHAR(s[51])
#define LCD_TEXT_52(s)  {LCD_TEMP_52(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_53(s)   LCD_TEMP_52(s), LCD_CHAR(s[52])
#define LCD_TEXT_53(s)  {LCD_TEMP_53(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_54(s)   LCD_TEMP_53(s), LCD_CHAR(s[53])
#define LCD_TEXT_54(s)  {LCD_TEMP_54(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_55(s)   LCD_TEMP_54(s), LCD_CHAR(s[54])
#define LCD_TEXT_55(s)  {LCD_TEMP_55(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_56(s)   LCD_TEMP_55(s), LCD_CHAR(s[55])
#define LCD_TEXT_56(s)  {LCD_TEMP_56(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_57(s)   LCD_TEMP_56(s), LCD_CHAR(s[56])
#define LCD_TEXT_57(s)  {LCD_TEMP_57(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_58(s)   LCD_TEMP_57(s), LCD_CHAR(s[57])
#define LCD_TEXT_58(s)  {LCD_TEMP_58(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_59(s)   LCD_TEMP_58(s), LCD_CHAR(s[58])
#define LCD_TEXT_59(s)  {LCD_TEMP_59(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_60(s)   LCD_TEMP_59(s), LCD_CHAR(s[59])
#define LCD_TEXT_60(s)  {LCD_TEMP_60(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_61(s)   LCD_TEMP_60(s), LCD_CHAR(s[60])
#define LCD_TEXT_61(s)  {LCD_TEMP_61(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_62(s)   LCD_TEMP_61(s), LCD_CHAR(s[61])
#define LCD_TEXT_62(s)  {LCD_TEMP_62(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_63(s)   LCD_TEMP_62(s), LCD_CHAR(s[62])
#define LCD_TEXT_63(s)  {LCD_TEMP_63(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_64(s)   LCD_TEMP_63(s), LCD_CHAR(s[63])
#define LCD_TEXT_64(s)  {LCD_TEMP_64(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_65(s)   LCD_TEMP_64(s), LCD_CHAR(s[64])
#define LCD_TEXT_65(s)  {LCD_TEMP_65(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_66(s)   LCD_TEMP_65(s), LCD_CHAR(s[65])
#define LCD_TEXT_66(s)  {LCD_TEMP_66(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_67(s)   LCD_TEMP_66(s), LCD_CHAR(s[66])
#define LCD_TEXT_67(s)  {LCD_TEMP_67(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_68(s)   LCD_TEMP_67(s), LCD_CHAR(s[67])
#define LCD_TEXT_68(s)  {LCD_TEMP_68(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_69(s)   LCD_TEMP_68(s), LCD_CHAR(s[68])
#define LCD_TEXT_69(s)  {LCD_TEMP_69(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_70(s)   LCD_TEMP_69(s), LCD_CHAR(s[69])
#define LCD_TEXT_70(s)  {LCD_TEMP_70(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_71(s)   LCD_TEMP_70(s), LCD_CHAR(s[70])
#define LCD_TEXT_71(s)  {LCD_TEMP_71(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_72(s)   LCD_TEMP_71(s), LCD_CHAR(s[71])
#define LCD_TEXT_72(s)  {LCD_TEMP_72(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_73(s)   LCD_TEMP_72(s), LCD_CHAR(s[72])
#define LCD_TEXT_73(s)  {LCD_TEMP_73(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_74(s)   LCD_TEMP_73(s), LCD_CHAR(s[73])
#define LCD_TEXT_74(s)  {LCD_TEMP_74(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_75(s)   LCD_TEMP_74(s), LCD_CHAR(s[74])
#define LCD_TEXT_75(s)  {LCD_TEMP_75(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_76(s)   LCD_TEMP_75(s), LCD_CHAR(s[75])
#define LCD_TEXT_76(s)  {LCD_TEMP_76(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_77(s)   LCD_TEMP_76(s), LCD_CHAR(s[76])
#define LCD_TEXT_77(s)  {LCD_TEMP_77(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_78(s)   LCD_TEMP_77(s), LCD_CHAR(s[77])
#define LCD_TEXT_78(s)  {LCD_TEMP_78(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_79(s)   LCD_TEMP_78(s), LCD_CHAR(s[78])
#define LCD_TEXT_79(s)  {LCD_TEMP_79(s), 0x00}
//------------------------------------------------------------------------------
#define LCD_TEMP_80(s)   LCD_TEMP_79(s), LCD_CHAR(s[79])
#define LCD_TEXT_80(s)  {LCD_TEMP_80(s), 0x00}

#endif  //  LCD_CONV_H
