//==============================================================================
//  " "
//==============================================================================
#include "..\module\menu.h"

extern volatile uint8_t Key;                              //   
extern          uint8_t CountPass;                        //   

extern const uint8_t __flash MsgPassword[];
extern const uint8_t __flash Password[];

//==============================================================================
//    
//==============================================================================
static void enter_password(void)
{
  if(Password[CountPass] == Key)      //        
  {
    if(++CountPass == LEN_PASSWORD)
      MenuSetMenu(MENU_SET_PARAM_1);
  }
  else CountPass = 0;                 //     
}

//==============================================================================
//  
//==============================================================================
static void show(void)
{
  ShowTextF(1, MsgPassword);
}

//==============================================================================
//     
//==============================================================================
static void entry(void)
{
  CountPass = 0;                      //     
}

//==============================================================================
//     
//==============================================================================
static void exit(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void up(void)
{
  enter_password();
}

//==============================================================================
//   ""
//==============================================================================
static void down(void)
{
  enter_password();
}

//==============================================================================
//   ""
//==============================================================================
static void param(void)
{
  MenuSetMenu(MENU_SETUP);
}

//==============================================================================
//   ""
//==============================================================================
static void enter(void)
{
  enter_password();
}

//==============================================================================
//const TMenu __flash Menu... = {show, entry, exit, {up, down, param, enter}};
const TMenu __flash MenuEntryPass = {show, entry, exit, {up, down, param, enter}};

