//==============================================================================
//  " "
//==============================================================================
#include "..\module\menu.h"

extern volatile uint8_t Key;                              //  - 
extern          uint8_t CountPass;                        //   

extern const uint8_t __flash MsgSetup[];
extern const uint8_t __flash Password[];

//==============================================================================
//    
//==============================================================================
static void enter_password(void)
{
  if(Password[CountPass] == Key)      //   -     
  {
    if(++CountPass == LEN_PASSWORD)
      MenuSubMain();
  }
  else CountPass = 0;                 //     
}

//==============================================================================
//  
//==============================================================================
static void show(void)
{
  ShowTextF(3, MsgSetup);
}

//==============================================================================
//     
//==============================================================================
static void entry(void)
{
  CountPass = 0;                //     
}

//==============================================================================
//     
//==============================================================================
static void exit(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void up(void)
{
  enter_password();
}

//==============================================================================
//   ""
//==============================================================================
static void down(void)
{
  enter_password();
}

//==============================================================================
//   ""
//==============================================================================
static void left(void)
{
  enter_password();
}

//==============================================================================
//   ""
//==============================================================================
static void right(void)
{
  enter_password();
}

//==============================================================================
//   ""
//==============================================================================
static void enter(void)
{
  enter_password();
}

//==============================================================================
//   ""
//==============================================================================
static void escape(void)
{
  MenuSetMenu(MENU_DEFAULT);
}


//==============================================================================
//   ""
//==============================================================================
static void menu(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void reserve(void)
{
}

//==============================================================================
//const TMenu __flash Menu... = {show, entry, exit, {up, down, left, right, enter, escape}};
const TMenu __flash MenuSetup = {show, entry, exit, {up, down, left, right, enter, escape, menu, reserve}};

