//==============================================================================
//  "    "
//==============================================================================
#include "..\module\menu.h"

enum { SubMenuMax = 7 };                  //      

static const uint8_t __flash MenuSub_1[] = "MenuSub_1";
static const uint8_t __flash MenuSub_2[] = "MenuSub_2";
static const uint8_t __flash MenuSub_3[] = "MenuSub_3";
static const uint8_t __flash MenuSub_4[] = "MenuSub_4";
static const uint8_t __flash MenuSub_5[] = "MenuSub_5";
static const uint8_t __flash MenuSub_6[] = "MenuSub_6";
static const uint8_t __flash MenuSub_7[] = "MenuSub_7";

static const TSubMenu __flash MenuSubMenu[SubMenuMax] =   { {MenuSub_1, MENU_SETUP_1},
                                                            {MenuSub_2, MENU_SETUP_2},
                                                            {MenuSub_3, MENU_SETUP_3},
                                                            {MenuSub_4, MENU_SETUP_4},
                                                            {MenuSub_5, MENU_SETUP_5},
                                                            {MenuSub_6, MENU_SETUP_6},
                                                            {MenuSub_7, MENU_SETUP_7} };

//==============================================================================
//  
//==============================================================================
static void show(void)
{
  MenuSubShow(SubMenuMax, MenuSubMenu);
}

//==============================================================================
//     
//==============================================================================
static void entry(void)
{
}

//==============================================================================
//     
//==============================================================================
static void exit(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void up(void)
{
  MenuSubItemPrev(SubMenuMax);
}

//==============================================================================
//   ""
//==============================================================================
static void down(void)
{
  MenuSubItemNext(SubMenuMax);
}

//==============================================================================
//   ""
//==============================================================================
static void left(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void right(void)
{
  MenuSubLevelNext(MenuSubMenu);
}

//==============================================================================
//   ""
//==============================================================================
static void enter(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void escape(void)
{
  MenuSetMenu(MENU_DEFAULT);
}

//==============================================================================
//   ""
//==============================================================================
static void menu(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void reserve(void)
{
}

//==============================================================================
//const TMenu __flash Menu... = {show, entry, exit, {up, down, left, right, enter, escape, menu, reserve}};
const TMenu __flash MenuSetup_0 = {show, entry, exit, {up, down, left, right, enter, escape, menu, reserve}};
