//==============================================================================
//  "    "
//==============================================================================
#include "..\module\menu.h"

enum { MENU_SUB_MAX = 3 };                //      
enum { MENU_SUB_PREV = MENU_SETUP_0 };    //  

static const uint8_t __flash MenuSub_1[] = "MenuSub_11";
static const uint8_t __flash MenuSub_2[] = "MenuSub_12";
static const uint8_t __flash MenuSub_3[] = "MenuSub_13";

static const TSubMenu __flash MenuSubMenu[MENU_SUB_MAX] =   { {MenuSub_1, MENU_SETUP_11},
                                                              {MenuSub_2, MENU_SETUP_12},
                                                              {MenuSub_3, MENU_SETUP_13} };

//==============================================================================
//  
//==============================================================================
static void show(void)
{
  MenuSubShow(MENU_SUB_MAX, MenuSubMenu);
}

//==============================================================================
//     
//==============================================================================
static void entry(void)
{
}

//==============================================================================
//     
//==============================================================================
static void exit(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void up(void)
{
  MenuSubItemPrev(MENU_SUB_MAX);
}

//==============================================================================
//   ""
//==============================================================================
static void down(void)
{
  MenuSubItemNext(MENU_SUB_MAX);
}

//==============================================================================
//   ""
//==============================================================================
static void left(void)
{
  MenuSubLevelPrev(MENU_SUB_PREV);
}

//==============================================================================
//   ""
//==============================================================================
static void right(void)
{
  MenuSubLevelNext(MenuSubMenu);
}

//==============================================================================
//   ""
//==============================================================================
static void enter(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void escape(void)
{
  MenuSetMenu(MENU_DEFAULT);
}

//==============================================================================
//   ""
//==============================================================================
static void menu(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void reserve(void)
{
}

//==============================================================================
//const TMenu __flash Menu... = {show, entry, exit, {up, down, left, right, enter, escape, menu, reserve}};
const TMenu __flash MenuSetup_1 = {show, entry, exit, {up, down, left, right, enter, escape, menu, reserve}};
