//==============================================================================
//  "    "
//==============================================================================
#include "..\module\menu.h"

enum { SubMenuMax = 6 };                  //      
enum { MENU_SUB_PREV = MENU_SETUP_0 };    //  

static const uint8_t __flash MenuSub_1[] = "MenuSub_21";
static const uint8_t __flash MenuSub_2[] = "MenuSub_22";
static const uint8_t __flash MenuSub_3[] = "MenuSub_23";
static const uint8_t __flash MenuSub_4[] = "MenuSub_24";
static const uint8_t __flash MenuSub_5[] = "MenuSub_25";
static const uint8_t __flash MenuSub_6[] = "MenuSub_26";

static const TSubMenu __flash MenuSubMenu[SubMenuMax] =   { {MenuSub_1, MENU_SETUP_21},
                                                            {MenuSub_2, MENU_SETUP_22},
                                                            {MenuSub_3, MENU_SETUP_23},
                                                            {MenuSub_4, MENU_SETUP_24},
                                                            {MenuSub_5, MENU_SETUP_25},
                                                            {MenuSub_6, MENU_SETUP_26} };

//==============================================================================
//  
//==============================================================================
static void show(void)
{
  MenuSubShow(SubMenuMax, MenuSubMenu);
}

//==============================================================================
//     
//==============================================================================
static void entry(void)
{
}

//==============================================================================
//     
//==============================================================================
static void exit(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void up(void)
{
  MenuSubItemPrev(SubMenuMax);
}

//==============================================================================
//   ""
//==============================================================================
static void down(void)
{
  MenuSubItemNext(SubMenuMax);
}

//==============================================================================
//   ""
//==============================================================================
static void left(void)
{
  MenuSubLevelPrev(MENU_SUB_PREV);
}

//==============================================================================
//   ""
//==============================================================================
static void right(void)
{
  MenuSubLevelNext(MenuSubMenu);
}

//==============================================================================
//   ""
//==============================================================================
static void enter(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void escape(void)
{
  MenuSetMenu(MENU_DEFAULT);
}

//==============================================================================
//   ""
//==============================================================================
static void menu(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void reserve(void)
{
}

//==============================================================================
//const TMenu __flash Menu... = {show, entry, exit, {up, down, left, right, enter, escape}};
const TMenu __flash MenuSetup_2 = {show, entry, exit, {up, down, left, right, enter, escape, menu, reserve}};

