//==============================================================================
//  "   "
//==============================================================================
#include "..\module\menu.h"

enum { SubMenuMax = 2 };                  //      
enum { MENU_SUB_PREV = MENU_SETUP_2 };    //  

static const uint8_t __flash MenuSub_1[] = "MenuSub_231";
static const uint8_t __flash MenuSub_2[] = "MenuSub_232";

static const TSubMenu __flash MenuSubMenu[SubMenuMax] =   { {MenuSub_1, MENU_SETUP_PARAM_231},
                                                            {MenuSub_2, MENU_SETUP_PARAM_232} };

//==============================================================================
//  
//==============================================================================
static void show(void)
{
  MenuSubShow(SubMenuMax, MenuSubMenu);
}

//==============================================================================
//     
//==============================================================================
static void entry(void)
{
}

//==============================================================================
//     
//==============================================================================
static void exit(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void up(void)
{
  MenuSubItemPrev(SubMenuMax);
}

//==============================================================================
//   ""
//==============================================================================
static void down(void)
{
  MenuSubItemNext(SubMenuMax);
}

//==============================================================================
//   ""
//==============================================================================
static void left(void)
{
  MenuSubLevelPrev(MENU_SUB_PREV);
}

//==============================================================================
//   ""
//==============================================================================
static void right(void)
{
  MenuSubLevelNext(MenuSubMenu);
}

//==============================================================================
//   ""
//==============================================================================
static void enter(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void escape(void)
{
  MenuSetMenu(MENU_DEFAULT);
}

//==============================================================================
//   ""
//==============================================================================
static void menu(void)
{
}

//==============================================================================
//   ""
//==============================================================================
static void reserve(void)
{
}

//==============================================================================
const TMenu __flash MenuSetup_23 = {show, entry, exit, {up, down, left, right, enter, escape, menu, reserve}};

